/* $Id: action.h,v 1.12 2010/03/12 12:43:11 oohara Exp $ */

#ifndef __LOC_ACTION_H__
#define __LOC_ACTION_H__

#include "world.h"

/* all ACTION_* must be positive */
#define ACTION_STAY 1
#define ACTION_WALK 2
#define ACTION_USE_SCROLL 3
#define ACTION_SAVE 4
#define ACTION_CLIMB_STAIR 5
#define ACTION_CREATE_SHADOW 6
#define ACTION_DESTROY_SHADOW 7

#define NUM_ACTION 7

int action_check(world *wp, int creature_id, int *act);
int action_exec(world *wp, int creature_id);

#endif /* not __LOC_ACTION_H__ */
