/* $Id: creature-detail.h,v 1.25 2010/03/12 04:17:43 oohara Exp $ */

#ifndef __LOC_CREATURE_DETAIL_H__
#define __LOC_CREATURE_DETAIL_H__

struct creature_detail
{
  int type;
  const char *name;
  const char *symbol;
  const char *warning;
  const char *description;
  int max_hp;
  int power_melee;
  int power_missile;
};

#define CR_PLAYER 0
#define CR_PLAYER_SHADOW 1
#define CR_GOBLIN 2
#define CR_RAT 3
#define CR_SORCERER 4
#define CR_DISENCHANTER 5
#define CR_DRAGON 6
#define CR_MOLD 7
#define CR_WARLORD 8
#define CR_OGRE 9
#define CR_TURRET 10
#define CR_CRYSTAL_FLOWER 11
#define CR_ARCHER 12
#define CR_JELLY 13
#define CR_IRON_GOLEM 14
#define CR_BERSERKER 15
#define NUM_CREATURE 16

int creature_detail_get(int type, struct creature_detail *crd);
int random_creature_type(int z);

#endif /* not __LOC_CREATURE_DETAIL_H__ */
