/* $Id: grid-detail.h,v 1.11 2010/03/10 12:58:53 oohara Exp $ */

#ifndef __LOC_GRID_DETAIL_H__
#define __LOC_GRID_DETAIL_H__

struct grid_detail
{
  int type;
  const char *name;
  const char *symbol;
  int attr;
};

#define GR_FLOOR 0
#define GR_WALL 1
#define GR_GATE_OF_DOOM 2
#define GR_GLASS_WALL 3
#define GR_STAIR_DOWN_0 4
#define GR_STAIR_DOWN_1 5
#define GR_STAIR_UP_0 6
#define GR_STAIR_UP_1 7
#define NUM_GRID 8

#define GRID_TERRAIN_MASK 0xf
/* assumes that the map never changes during the game */
#define GRID_PLAYER_SEEN 0x10

int grid_detail_get(int type, struct grid_detail *grd);

#endif /* not __LOC_GRID_DETAIL_H__ */
