/* $Id: inventory.c,v 1.2 2010/03/07 05:16:13 oohara Exp $ */

#include <stdio.h>
/* malloc */
#include <stdlib.h>

#include "inventory.h"

inventory *
inventory_new(void)
{
  inventory *p = NULL;

  p = (inventory *) malloc(sizeof(inventory));
  if (p == NULL)
  {
    fprintf(stderr, "inventory_new: malloc failed\n");
    return NULL;
  }

  p->id = -1;
  p->type = -1;
  p->quantity = 0;
  p->sort_priority = 0;

  return p;
}

void
inventory_delete(inventory *p)
{
  if (p == NULL)
    return;

  free(p);
  p = NULL;
}
