/* $Id: scroll-detail.h,v 1.24 2010/03/12 14:20:24 oohara Exp $ */

#ifndef __LOC_SCROLL_DETAIL_H__
#define __LOC_SCROLL_DETAIL_H__

struct scroll_detail
{
  int type;
  const char *real_name;
  int healthy;
  const char *description;
};

#define SC_TELEPORT 0
#define SC_POISON 1
#define SC_SPEED 2
#define SC_SLOWNESS 3
#define SC_REGENERATION 4
#define SC_MIGHT 5
#define SC_WEAKNESS 6
#define SC_REFLECTION 7
#define SC_INVULNERABILITY 8
#define SC_ANTIMAGIC 9
#define SC_STUNNING 10
#define SC_FEAR 11
#define SC_LIGHTNING 12
#define SC_DETONATION 13
#define SC_KNOWLEDGE 14
#define NUM_SCROLL 15

int scroll_detail_get(int type, struct scroll_detail *scd);
int random_scroll_type(int z);

#endif /* not __LOC_SCROLL_DETAIL_H__ */
